How can I tell Vaadin 8 to use the compatibility WidgetSet

I try to test my app on Vaadin 8, but it fails to pick up the compatibility WidgetSet. (client-compiled)
Can anyone give me a hint how to do this?

Hi,

I suggest to only add the non-precompiled module to the classpath and then vaadin-maven-plugin will pick the compatibility components and add them to your app widgetset:

        <dependency>
            <groupId>com.vaadin</groupId>
            <artifactId>vaadin-compatibility-client</artifactId>
            <scope>provided</scope>
        </dependency>

If you absolutely want to use the pre-compiled widgetset you’ll manually need to specify the legacy widgetset to your UI class:

@Widgetset("com.vaadin.v7.Vaadin7WidgetSet")
public class MyUI extends UI {

cheers,
matti